MetadataObjectHandler (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.xml

## Class MetadataObjectHandler

- java.lang.Object
- - tv.amwa.maj.io.xml.MasterContentHandler
  - - tv.amwa.maj.io.xml.MetadataObjectHandler

- All Implemented Interfaces:
    ContentHandler, AAFSpecifiedClasses

      public class MetadataObjectHandler
      extends MasterContentHandler
      implements ContentHandler

  Parse an XML element and its children into metadata objects, which are classes annotated with their XML serialization information. The MAJ API has all the baseline classes for AAF and MXF included. Use the warehouse to add extension objects to be parsed by this method.

  THE COMMENTS FOR THIS CLASS ARE INCOMPLETE.

  See Also:
    `Warehouse.lookForClass(Class)`

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.industry.AAFSpecifiedClasses

      `abstractInterchangeable, abstractMeta, existingMeta, interchangeable, meta`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataObjectHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `endElement(String uri, String localName, String name)` Called if an end element event is sent by the SAX parser to a master content handler.
    `void` | `startElement(String uri, String localName, String name, Attributes atts)` Called by the SAX parser when the root element of the input source of this master content handler has been read.

    - ### Methods inherited from class tv.amwa.maj.io.xml.MasterContentHandler

      `endDocument, endPrefixMapping, getAttributesForThis, getAttributeValueThisElement, getElementName, getFullElementName, getNamespace, ignorableWhitespace, processingInstruction, registerCoreHandlers, registerHandler, registerHandlersForClass, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.xml.sax.ContentHandler

      `endDocument, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

- - ### Constructor Detail

    - #### MetadataObjectHandler

          public MetadataObjectHandler()

  - ### Method Detail

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)
                          throws SAXException

      Specified by:
        `characters` in interface `ContentHandler`
      Overrides:
        `characters` in class `MasterContentHandler`
      Throws:
        `SAXException`
      See Also:
        `ContentHandler.characters(char[], int, int)`

    - #### endElement

          public void endElement(String uri,
                                 String localName,
                                 String name)
                          throws SAXException

      Description copied from class: `MasterContentHandler`

      Called if an end element event is sent by the SAX parser to a master content handler. This should not happen and so an exception will be thrown.

      Specified by:
        `endElement` in interface `ContentHandler`
      Overrides:
        `endElement` in class `MasterContentHandler`
      Throws:
        `SAXException`
      See Also:
        `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

    - #### startElement

          public void startElement(String uri,
                                   String localName,
                                   String name,
                                   Attributes atts)
                            throws SAXException

      Description copied from class: `MasterContentHandler`

      Called by the SAX parser when the root element of the input source of this master content handler has been read. A sub element content handler is created from the register of handlers and parsing of the document continues using this newly created handler.

      Specified by:
        `startElement` in interface `ContentHandler`
      Overrides:
        `startElement` in class `MasterContentHandler`
      Throws:
        `SAXException`
      See Also:
        `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.